﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    <let name="RPScheme" value="$RP.Context/xbrli:entity/xbrli:identifier/@scheme" />

    <!-- Rule ID: VR.ATO.PR.000001
         ELS Ref: V210C
        
         IF (([pr39] <> NULLORBLANK) AND ([pr39] <> "au")) AND ([pr15] = NULLORBLANK OR [pr13] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         IF (([pr16] <> NULLORBLANK) OR ([pr17] <> NULLORBLANK)) 
              AND (
                        ([pr15] = NULLORBLANK) 
                    OR 
                        ([pr13] = NULLORBLANK OR [pr16] = NULLORBLANK) 
                    OR  
                        ([pr17] = NULLORBLANK)
                 )
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
         [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [pr16] = pyde.02.00:AddressDetails.StateOrTerritory.Code
         [pr17] = pyde.02.00:AddressDetails.Postcode.Text
    -->
    <assert id="VR.ATO.PR.000001" diagnostics="DVR.ATO.PR.000001"
            test="not(
                        ($pr16[not(@i:nil='true') and string-length(.) != 0] or $pr17[not(@i:nil='true') and string-length(.) != 0])
                         and
                         (
                                not($pr15[not(@i:nil='true') and string-length(.) != 0])
                            or
                                (not($pr13[not(@i:nil='true') and string-length(.) != 0]) or not($pr16[not(@i:nil='true') and string-length(.) != 0]))
                            or  
                                not($pr17[not(@i:nil='true') and string-length(.) != 0])
                        )  
                        
                     )" />

    <!-- Rule ID: VR.ATO.PR.000002
         ELS Ref: V210D
        
         IF (([pr39] <> NULLORBLANK) AND ([pr39] <> "au")) AND ([pr15] = NULLORBLANK OR [pr13] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         [pr39] = pyde.xx.xx:AddressDetails.Country.Code
         [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
         [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
         
    -->
    <assert id="VR.ATO.PR.000002" diagnostics="DVR.ATO.PR.000002"
            test="not(
                        ($pr39[not(@i:nil='true') and string-length(.) != 0] and not($pr39 = 'au'))
                         and
                        (not($pr15[not(@i:nil='true') and string-length(.) != 0]) or not($pr13[not(@i:nil='true') and string-length(.) != 0]))
            
                     )" />

    <!-- Rule ID: VR.ATO.PR.000003
         ELS Ref: V210D
        
         IF ([pr16] = NULLORBLANK) AND ([pr17] = NULLORBLANK) AND (([pr39] = NULLORBLANK) OR ([pr39] = "au"))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr39] = pyde.xx.xx:AddressDetails.Country.Code
         [pr16] = pyde.02.00:AddressDetails.StateOrTerritory.Code
         [pr17] = pyde.02.00:AddressDetails.Postcode.Text
         
    -->
    <assert id="VR.ATO.PR.000003" diagnostics="DVR.ATO.PR.000003"
            test="not(
                        not($pr16[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($pr17[not(@i:nil='true') and string-length(.) != 0])
                        and 
                        (not($pr39[not(@i:nil='true') and string-length(.) != 0]) or $pr39 = 'au')  
                     )" />


    <!-- Rule ID: VR.ATO.PR.000030
         ELS Ref: N/A
        
         IF COUNT([pr26]) > 4
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr26] = rvctc3.xx.xx:Tax.Audit.Identifier
    -->
    <assert id="VR.ATO.PR.000030" diagnostics="DVR.ATO.PR.000030"
            test="not(
                        count($pr26) > 4
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000038
         ELS Ref: V17
        
         IF CONTEXT(RP.PREV) <> NULL AND  [pr27] = NULLORBLANK
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr27] = rvctc3.xx.xx:Tax.PrivateRulingSoughtPreviously.Indicator
    -->
    <assert id="VR.ATO.PR.000038" diagnostics="DVR.ATO.PR.000038"
            test="not(
                        $RPPREV.Context
                        and
                        not($pr27[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000047
         ELS Ref: N/A
        
         IF COUNT([pr28]) > 4
             RETURN VALIDATION MESSAGE
         ENDIF
    -->

    <assert id="VR.ATO.PR.000047" diagnostics="DVR.ATO.PR.000047"
            test="not(
                        count($pr28) > 4
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000051
         ELS Ref: N/A
        
         WHERE IN CONTEXT(RP)
         IF [pr5] = TRUE AND ([pr53] = NULLORBLANK OR [pr54] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000051" diagnostics="DVR.ATO.PR.000051"
            test="not(
                        $pr5rp[matches(.,'^(true|1)$')]
                        and
                        (
                          not($pr53rp[not(@i:nil='true') and string-length(.) != 0])
                          or
                          not($pr54rp[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />

    
    <!-- Rule ID: VR.ATO.PR.000081
         ELS Ref: V1200
        
         WHERE IN CONTEXT(RP.Parent) 
         IF ([pr36] <> NULL) AND (ABNALGORITHM([pr36]) = FALSE)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000081" diagnostics="DVR.ATO.PR.000081"
            test="not(
                        $pr36rppar[not(function:ValidateABN(.))]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000085
         ELS Ref: N/A
        
         IF [pr31] = NULLORBLANK AND [pr29] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000085" diagnostics="DVR.ATO.PR.000085"
            test="not(
                        not($pr29[not(@i:nil='true')])
                        and
                        not($pr31[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000090
         ELS Ref: N/A
        
         IF [pr25] = TRUE AND COUNT([pr26]) = 0
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000090" diagnostics="DVR.ATO.PR.000090"
            test="not(
                        $pr25[matches(.,'^(true|1)$')]
                        and
                        count($pr26) = 0
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000105
         ELS Ref: V210G        
         IF ([pr16] <> NULL) AND ([pr17] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr16] = pyde.02.00:AddressDetails.StateOrTerritory.Code
         [pr17] = pyde.02.00:AddressDetails.Postcode.Text
         
    -->
    <assert id="VR.ATO.PR.000105" diagnostics="DVR.ATO.PR.000105"
            test="not(
                        $pr16[not(@i:nil='true')]
                        and
                        not($pr17[not(@i:nil='true')])
                     )" />


    <!-- Rule ID: VR.ATO.PR.000106
         ELS Ref: V276A     
         IF [pr18] <> NULL AND [pr19] = NULL
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr18] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [pr19] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
         
    -->
    <assert id="VR.ATO.PR.000106" diagnostics="DVR.ATO.PR.000106"
            test="not(
                        $pr18[not(@i:nil='true')]
                        and
                        not($pr19[not(@i:nil='true')])
                     )" />

    <!-- Rule ID: VR.ATO.PR.000107
         ELS Ref: V276B     
         IF [pr18] = NULL AND [pr19] <> NULL
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr18] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [pr19] = pyde.02.00:ElectronicContact.Telephone.Minimal.Number
         
    -->
    <assert id="VR.ATO.PR.000107" diagnostics="DVR.ATO.PR.000107"
            test="not(
                        not($pr18[not(@i:nil='true')])
                        and
                        $pr19[not(@i:nil='true')]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000115
         Removed by UCT8D  -->

    <!-- Rule ID: VR.ATO.PR.000120
         ELS Ref: V210H        
         
         IF ([pr17] <> NULL) AND ([pr16] = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr16] = pyde.02.00:AddressDetails.StateOrTerritory.Code
         [pr17] = pyde.02.00:AddressDetails.Postcode.Text
         
    -->
    <assert id="VR.ATO.PR.000120" diagnostics="DVR.ATO.PR.000120"
            test="not(
                        $pr17[not(@i:nil='true')]
                        and
                        not($pr16[not(@i:nil='true')])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000121
         ELS Ref: N/A
        
         IF 
           ([pr8] = TRUE) 
           AND 
           (COUNT(APP) < 9) 
           AND 
           (
             (
               CONTEXT(Intermediary.TrueAndCorrect) = NULL 
               AND 
               RP.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULLORBLANK
             ) 
             OR 
             (
               CONTEXT(Intermediary.TrueAndCorrect) <> NULL 
               AND 
               Intermediary.TrueAndCorrect:pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier <> NULLORBLANK
             )
           )
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000121" diagnostics="DVR.ATO.PR.000121"
            test="not(
                        $pr8[matches(.,'^(true|1)$')]
                        and
                        count($APP.Context) &lt; 9
                        and
                        (
                          (
                            not($INTTAC.Context)
                            and
                            $pr43rptac[not(@i:nil='true') and string-length(.) != 0]
                          )
                          or
                          (
                            $INTTAC.Context
                            and
                            $pr43inttac[not(@i:nil='true') and string-length(.) != 0]
                          )
                        )
                     )" />
    
    
    
    
    
    <!-- Rule ID: VR.ATO.PR.000123
         ELS Ref: N/A
        
         IF [pr27] = TRUE AND COUNT([pr28]) = 0
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr27] = rvctc3.xx.xx:Tax.PrivateRulingSoughtPreviously.Indicator
         [pr28] = rvctc3.xx.xx:Tax.PrivateRulingNumber.Identifier
    -->
    <assert id="VR.ATO.PR.000123" diagnostics="DVR.ATO.PR.000123"
            test="not(
                        $pr27[matches(.,'^(true|1)$')]
                        and
                        count($pr28) = 0
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000182
         ELS Ref: N/A
        
         IF [pr29] = NULL AND [pr30] <> NULL
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr29] = rvctc3.xx.xx:Tax.PrivateRulingArrangementPeriodEnd.Date
         [pr30] = rvctc3.xx.xx:Tax.PrivateRulingArrangementSeriousConsideration.Indicator
    -->
    <assert id="VR.ATO.PR.000182" diagnostics="DVR.ATO.PR.000182"
            test="not(
                        not($pr29[not(@i:nil='true')])
                        and
                        $pr30[not(@i:nil='true')]
                     )" />


    <!-- Rule ID: VR.ATO.PR.000192
         ELS Ref: N/A
        
        IF [pr10] = NULLORBLANK AND [pr12] = NULLORBLANK AND [pr40] = NULLORBLANK
            RETURN VALIDATION MESSAGE
        ENDIF
         
         [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
         [pr12] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
         [pr40] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <assert id="VR.ATO.PR.000192" diagnostics="DVR.ATO.PR.000192"
            test="not(
                        not($pr10[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($pr12[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($pr40[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.PR.000193
         ELS Ref: N/A
        
          IF ([pr12] = NULLORBLANK OR [pr10] = NULLORBLANK) AND [pr40] <> NULLORBLANK)
              RETURN VALIDATION MESSAGE
          ENDIF
         
         [pr12] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
         [pr40] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <assert id="VR.ATO.PR.000193" diagnostics="DVR.ATO.PR.000193"
            test="not(
                        (not($pr10[not(@i:nil='true') and string-length(.) != 0]) or not($pr12[not(@i:nil='true') and string-length(.) != 0]))
                        and
                          ($pr40[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.PR.000230
         ELS Ref: N/A
        
          IF [pr10] <> NULLORBLANK AND [pr12] <> NULLORBLANK AND [pr40] = NULLORBLANK
              RETURN VALIDATION MESSAGE
          ENDIF
         
         [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
         [pr12] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
         [pr40] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <assert id="VR.ATO.PR.000230" diagnostics="DVR.ATO.PR.000230"
            test="not(
                        ($pr12[not(@i:nil='true') and string-length(.) != 0])
                        and
                        ($pr10[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($pr40[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000183
         ELS Ref: N/A
        
         IF ([pr29] <> NULL AND [pr30] <> NULL) AND ([pr29] > [pr30])
           RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr29] = rvctc3.xx.xx:Tax.PrivateRulingArrangementPeriodEnd.Date
         [pr30] = rvctc3.xx.xx:Tax.PrivateRulingArrangementSeriousConsideration.Indicator
    -->
    <assert id="VR.ATO.PR.000183" diagnostics="DVR.ATO.PR.000183"
            test="not(
                        $pr29[not(@i:nil='true')] and $pr30[not(@i:nil='true')]
                        and
                        function:IsDate1GreaterThanDate2($pr29, $pr30)
                     )" />

    
    
    <!-- Rule ID: VR.ATO.GEN.000470
         ELS Ref: V301C
        
         IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK)
          AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK)
          RETURN VALIDATION MESSAGE
        ENDIF
         
         [pr9]  = pyde.xx.xx:PersonNameDetails.Title.Text
         [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.000470" diagnostics="DVR.ATO.GEN.000470"
            test="not(
                        $pr9[not(@i:nil='true') and string-length(.) != 0]
                        and
                        not($pr10[not(@i:nil='true') and string-length(.) != 0])
                     )" />

    <!-- Rule ID: VR.ATO.GEN.000471
         ELS Ref: V301C
        
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text  = NULLORBLANK)
          AND (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK)
            RETURN VALIDATION MESSAGE
        ENDIF
         
         [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
         [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.000471" diagnostics="DVR.ATO.GEN.000471"
            test="not(
                        not($pr10[not(@i:nil='true') and string-length(.) != 0])
                        and
                        $pr11[not(@i:nil='true') and string-length(.) != 0]
                     )" />
    
      		 
      <!-- Rule ID: VR.ATO.GEN.410128
           ELS Ref: V17
      
           IF (pyin.xx.xx:Declaration.StatementAccepted.Indicator <> NULLORBLANK) AND (pyin.xx.xx:Declaration.StatementAccepted.Indicator = FALSE)
              RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr48] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
      -->
      <assert id="VR.ATO.GEN.410128" diagnostics="DVR.ATO.GEN.410128"
            test="not(
                        $pr48rptac
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                        or
                        $pr48inttac
                          [
                            not(@i:nil='true') and string-length(.) != 0
                            and 
                            matches(.,'^(false|0)$')
                          ]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500000
         ELS Ref: V210A
         
         IF (([pr39] = NULLORBLANK) OR ([pr39] = "au")) AND ([pr15] CONTAINS NUMERICS)
            RETURN VALIDATION MESSAGE
         ENDIF
        
        [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
        [pr39] = pyde.xx.xx:AddressDetails.Country.Code
    -->

    <assert id="VR.ATO.GEN.500000" diagnostics="DVR.ATO.GEN.500000"
            test="not(
                        (
                          not($pr39[not(@i:nil='true') and string-length(.) != 0]) 
                        or 
                          $pr39[matches(.,'^(au)$')])
                         and
                        $pr15[matches(.,'(.*)[0-9](.*)')]
   
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500010
          
        IF (([PR39] = NULLORBLANK) OR ([PR39] = "au")) AND ([PR15] <> NULLORBLANK) AND ([PR15] = FOUND("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [PR39] = pyde.xx.xx:AddressDetails.Country.Code
        [PR15] = pyde.xx.xx:AddressDetails.LocalityName.Text
        
    -->
    <assert id="VR.ATO.GEN.500010" diagnostics="DVR.ATO.GEN.500010"
            test="not(
                        (
                            not($pr39[not(@i:nil='true') and string-length(.) != 0])
                            or
                            $pr39 = 'au'
                        )
                        and
                        $pr15[not(@i:nil='true') and string-length(.) != 0]
                        and
                        $pr15[matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i')]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500067
         ELS Ref: V17
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL)) OR ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.Signature.Date = NULL))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [pr47] = pyin.xx.xx:Declaration.Signature.Date
    -->
    <assert id="VR.ATO.GEN.500067" diagnostics="DVR.ATO.GEN.500067"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and 
                          not($pr47rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          not(count($INTTAC.Context) = 0)
                          and 
                          not($pr47inttac[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500061
         ELS Ref: V173B
      
         IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number = NULLORBLANK) AND 
                (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)) OR 
            
            ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK) AND 
                (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [pr45] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [pr46] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500061" diagnostics="DVR.ATO.GEN.500061"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $pr45rptac[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($pr46rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          not(count($INTTAC.Context) = 0 )
                          and
                          $pr45inttac[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($pr46inttac[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.GEN.500011
          
        
        IF (([PR39] <> NULLORBLANK) AND ([PR39] <> "au")) AND (([PR16] <> NULLORBLANK) OR ([PR17] <> NULLORBLANK))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [PR39] = pyde.xx.xx:AddressDetails.Country.Code
        [PR16] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
        [PR17] = pyde.xx.xx:AddressDetails.Postcode.Text
        
        
    -->
    <assert id="VR.ATO.GEN.500011" diagnostics="DVR.ATO.GEN.500011"
            test="not(
                        ($pr39[not(@i:nil='true') and string-length(.) != 0] and not($pr39 = 'au'))
                         and
                        ($pr16[not(@i:nil='true') and string-length(.) != 0] or $pr17[not(@i:nil='true') and string-length(.) != 0])
                     )" />
    
    <!-- Rule ID: VR.ATO.PR.000174
         ELS Ref: V173B
      
         IF (
              (CONTEXT(Intermediary.TrueAndCorrect) = NULL) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            ) 
            OR 
            (
              (CONTEXT(Intermediary.TrueAndCorrect) <> NULL) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number <> NULLORBLANK) 
              AND 
              (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Area.Code = NULLORBLANK)
            )
           RETURN VALIDATION MESSAGE
         ENDIF

         [pr45] = pyde.02.00:ElectronicContact.Telephone.Area.Code
         [pr46] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.PR.000174" diagnostics="DVR.ATO.PR.000174"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          $pr46rptac[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($pr45rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          not(count($INTTAC.Context) = 0 )
                          and
                          $pr46inttac[not(@i:nil='true') and string-length(.) != 0]
                          and
                          not($pr45inttac[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />	
    
    
    <!-- Rule ID: VR.ATO.PR.000224
         ELS Ref: V1200
        
         WHERE IN CONTEXT(RP)
         IF ([pr53] <> NULL) AND (ABNALGORITHM([pr53]) = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000224" diagnostics="DVR.ATO.PR.000224"
            test="not(
                        $pr53rp[not(function:ValidateABN(.))]
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000225
         ELS Ref: V1200
        
         FOR ANY OCCURRENCE OF CONTEXT(APP)
         IF ([pr53] <> NULL) AND (ABNALGORITHM([pr53]) = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000225" diagnostics="DVR.ATO.PR.000225"
            test="not(
                        $pr53app[not(function:ValidateABN(.))]
                     )" />
    
  </rule>
  
  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.000459
         ELS Ref: V1215
           
        IF (pyde.xx.xx:PersonNameDetails.Title.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.Title.Text <> SET(DOMAIN(TITLE CODES)))
          RETURN VALIDATION MESSAGE
        ENDIF             
    -->
    <let name="ucName" value="upper-case(.)" />

    <assert id="VR.ATO.GEN.000459" diagnostics="DVR.ATO.GEN.000459"
            test="not(    
                        not(
                              $ucName = '2LT' or
                              $ucName = 'AB' or
                              $ucName = 'ABBOT' or
                              $ucName = 'AC' or
                              $ucName = 'ACM' or
                              $ucName = 'ADM' or
                              $ucName = 'AIR CDRE' or
                              $ucName = 'ALDERMAN' or
                              $ucName = 'AM' or
                              $ucName = 'ARCHBISHOP' or
                              $ucName = 'ARCHDEACON' or
                              $ucName = 'ASSOC PROF' or
                              $ucName = 'AVM' or
                              $ucName = 'BARON' or
                              $ucName = 'BARONESS' or
                              $ucName = 'BISHOP' or
                              $ucName = 'BR' or
                              $ucName = 'BRIG' or
                              $ucName = 'CANON' or
                              $ucName = 'CAPT' or
                              $ucName = 'CARDINAL' or
                              $ucName = 'CDRE' or
                              $ucName = 'CDT' or
                              $ucName = 'CHAP' or
                              $ucName = 'CMDR' or
                              $ucName = 'CMM' or
                              $ucName = 'COL' or
                              $ucName = 'CONST' or
                              $ucName = 'COUNT' or
                              $ucName = 'COUNTESS' or
                              $ucName = 'CPL' or
                              $ucName = 'CPO' or
                              $ucName = 'DAME' or
                              $ucName = 'DEACON' or
                              $ucName = 'DEACONESS' or
                              $ucName = 'DEAN' or
                              $ucName = 'DEPUTY SUPT' or
                              $ucName = 'DR' or
                              $ucName = 'DUCHESS' or
                              $ucName = 'DUKE' or
                              $ucName = 'EARL' or
                              $ucName = 'EF' or
                              $ucName = 'FLGOFF' or
                              $ucName = 'FLT LT' or
                              $ucName = 'FR' or
                              $ucName = 'FSGT' or
                              $ucName = 'GEN' or
                              $ucName = 'GNR' or
                              $ucName = 'GP CAPT' or
                              $ucName = 'HON' or
                              $ucName = 'HON JUDGE' or
                              $ucName = 'HON JUST' or
                              $ucName = 'HRH' or
                              $ucName = 'INSP' or
                              $ucName = 'JUDGE' or
                              $ucName = 'JUST' or
                              $ucName = 'LAC' or
                              $ucName = 'LACW' or
                              $ucName = 'LADY' or
                              $ucName = 'LBDR' or
                              $ucName = 'LCPL' or
                              $ucName = 'LORD' or
                              $ucName = 'LS' or
                              $ucName = 'LT' or
                              $ucName = 'LT CMDR' or
                              $ucName = 'LT COL' or
                              $ucName = 'LT GEN' or
                              $ucName = 'MADAM' or
                              $ucName = 'MAJ' or
                              $ucName = 'MAJ GEN' or
                              $ucName = 'MASTER' or
                              $ucName = 'MATRON' or
                              $ucName = 'MAYOR' or
                              $ucName = 'MAYORESS' or
                              $ucName = 'MIDN' or
                              $ucName = 'MISS' or
                              $ucName = 'MON' or
                              $ucName = 'MOST REV' or
                              $ucName = 'MR' or
                              $ucName = 'MRS' or
                              $ucName = 'MS' or
                              $ucName = 'PASTOR' or
                              $ucName = 'PATRIARCH' or
                              $ucName = 'PLT OFF' or
                              $ucName = 'PO' or
                              $ucName = 'PRIOR' or
                              $ucName = 'PROF' or
                              $ucName = 'PTE' or
                              $ucName = 'RABBI' or
                              $ucName = 'RADM' or
                              $ucName = 'RECTOR' or
                              $ucName = 'REV' or
                              $ucName = 'RF' or
                              $ucName = 'RT HON' or
                              $ucName = 'RT REV' or
                              $ucName = 'RTREV BISHOP' or
                              $ucName = 'RT REV MON' or
                              $ucName = 'SBLT' or
                              $ucName = 'SEN' or
                              $ucName = 'SGT' or
                              $ucName = 'SIR' or
                              $ucName = 'SMN' or
                              $ucName = 'SNR CONST' or
                              $ucName = 'SQN LDR' or
                              $ucName = 'SR' or
                              $ucName = 'SSGT' or
                              $ucName = 'SUPR' or
                              $ucName = 'SWAMI' or
                              $ucName = 'TF' or
                              $ucName = 'VADM' or
                              $ucName = 'VERY REV' or
                              $ucName = 'VICAR' or
                              $ucName = 'VISCOUNT' or
                              $ucName = 'WG CDR' or
                              $ucName = 'WO' or
                              $ucName = 'WO1' or
                              $ucName = 'WO2' 
                           )
                       )"/>
  </rule>

  <rule context="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.428036
         ELS Ref: V35
        
        IF ([PR16] <> NULLORBLANK) AND ([PR16] <> SET("QLD","NSW","VIC","SA","WA","NT","ACT","TAS"))
           RETURN VALIDATION MESSAGE
        ENDIF
        
        [PR16] = pyde.xx.xx:AddressDetails.StateOrTerritory.Code
     -->
    <assert  id="VR.ATO.GEN.428036" diagnostics="DVR.ATO.GEN.428036"
             test="not(
                          not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i'))
                    )"/>
  </rule>

  <rule context="xbrli:xbrl/rvctc3.02.21:Tax.PrivateRulingMainSubject.Code[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.PR.000048
         ELS Ref: V35
           
        IF ([pr20] <> NULLORBLANK) AND ([pr20]  <> SET("Am I a resident?", "Am I carrying on a business?", "Capital gains business (for example, land subdivision, active asset test and unit sales)", "Capital gains individuals (for example, share sales, marriage breakdown and deceased estates)", "Eligible termination payment", "Employee vs Contractor", "Fringe benefits tax or withholding tax", "Fuel tax credit", "Goods and services tax", "Income tax - individuals not in business", "Income tax - non-commercial losses or business (including superannuation funds)", "Lodgment, Payment, Accounting, Registrations", "Luxury car tax", "Other superannuation subjects", "Personal superannuation deductions", "Product grants or benefits", "Undeducted purchase price", "Wine equalisation tax", "Subject not covered", "Alcohol excise", "Petroleum excise", "Tobacco excise"))
            RETURN VALIDATION MESSAGE
        ENDIF   

    -->

    <assert id="VR.ATO.PR.000048" diagnostics="DVR.ATO.PR.000048"
            test="not(    
                        not(
                              . = 'Am I a resident?' or
                              . = 'Am I carrying on a business?' or
                              . = 'Capital gains business (for example, land subdivision, active asset test and unit sales)' or
                              . = 'Capital gains individuals (for example, share sales, marriage breakdown and deceased estates)' or
                              . = 'Eligible termination payment' or
                              . = 'Employee vs Contractor' or
                              . = 'Fringe benefits tax or withholding tax' or
                              . = 'Fuel tax credit' or
                              . = 'Goods and services tax' or
                              . = 'Income tax - individuals not in business' or
                              . = 'Income tax - non-commercial losses or business (including superannuation funds)' or
                              . = 'Lodgment, Payment, Accounting, Registrations' or
                              . = 'Luxury car tax' or
                              . = 'Other superannuation subjects' or
                              . = 'Personal superannuation deductions' or
                              . = 'Product grants or benefits' or
                              . = 'Undeducted purchase price' or
                              . = 'Wine equalisation tax' or
                              . = 'Subject not covered' or
                              . = 'Alcohol excise' or
                              . = 'Petroleum excise' or
                              . = 'Tobacco excise'
                           )
                       )"/>
  </rule>
    
  <rule context="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500066
         
        IF (pyin.xx.xx:Declaration.Signature.Date > DATE(TODAY))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500066" diagnostics="DVR.ATO.GEN.500066"
            test="not(
                        function:IsDate1GreaterThanDate2(., current-date())
                     )"/>

  </rule>
  
  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>
  
    <!-- LOOP OVER APPLICANT DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $APP.ContextId]">

    <let name="thisContextId" value="@id" />
    <let name="thisIdentifier" value="xbrli:entity/xbrli:identifier" />
    <let name="thisScheme" value="xbrli:entity/xbrli:identifier/@scheme" />
    <let name="thisParent" value="$APPPAR.Context[xbrli:entity/xbrli:identifier = $thisIdentifier and xbrli:entity/xbrli:identifier/@scheme = $thisScheme]/@id" />
    
    <!-- Rule ID: VR.ATO.PR.000200
         ELS Ref: N/A
        
         FOR ANY OCCURRENCE OF CONTEXT(APP)
         IF (COUNT(APP.Parent WHERE (APP.Parent:entity.identifier.scheme = APP:entity.identifier.scheme AND APP.Parent:entity.identifier = APP:entity.identifier)) > 1)
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000200" diagnostics="DVR.ATO.PR.000200"
            test="not(
                        count($thisParent) > 1
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000213
         ELS Ref: N/A
         
         FOR ANY OCCURRENCE OF CONTEXT(APP)
         IF [pr5] = TRUE AND ([pr53] = NULLORBLANK OR [pr54] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000213" diagnostics="DVR.ATO.PR.000213"
            test="not(
                        $pr5app[matches(.,'^(true|1)$') and @contextRef = $thisContextId]
                        and
                        (
                          not($pr53app[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                          or
                          not($pr54app[not(@i:nil='true') and string-length(.) != 0 and @contextRef = $thisContextId])
                        )
                     )" />
    
    
    <!-- Rule ID: VR.ATO.PR.000217
         ELS Ref: V1200
        
         FOR ANY OCCURRENCE OF CONTEXT(APP.Parent)
         IF ([pr36] <> NULL) AND (ABNALGORITHM([pr36]) = FALSE)
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.PR.000217" diagnostics="DVR.ATO.PR.000217"
            test="not(
                        $pr36apppar[not(function:ValidateABN(.))]
                     )" />

  </rule>

  <!-- LOOP OVER APPLICANT PARENT DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $APPPAR.ContextId]">

    <let name="thisContextId" value="@id" />
    <let name="thisIdentifier" value="xbrli:entity/xbrli:identifier" />
    <let name="thisScheme" value="xbrli:entity/xbrli:identifier/@scheme" />
    <let name="thisChild" value="$APP.Context[xbrli:entity/xbrli:identifier/@scheme = $thisScheme and xbrli:entity/xbrli:identifier = $thisIdentifier]/@id" />

    <!-- Rule ID: VR.ATO.PR.000216
         ELS Ref: N/A
        
        FOR ANY OCCURRENCE OF CONTEXT (APP.Parent)
        IF (APP.Parent:entity.identifier <> ANY OCCURRENCE OF APP:entity.identifier WHERE APP:entity.identifier.scheme = APP.Parent:entity.identifier.scheme)
            RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.PR.000216" diagnostics="DVR.ATO.PR.000216"
            test="not(
                        count($thisChild) = 0
                     )" />
  </rule>
  
    
</pattern>
