﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  
    <rule context="xbrli:xbrl[not(@i:nil='true')]">
      
      <!-- Rule ID: VR.ATO.IITR.000040
         
        IF (([pr41] <> NULLORBLANK) AND NOT ([pr41] STARTSWITH "04"))
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [pr41] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
    -->
      <assert id="VR.ATO.PR.000040" diagnostics="DVR.ATO.PR.000040"
              test="not(
                        $pr41
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^04*'))
                        ] 
                    )"/>
      

      <!-- Rule ID: VR.ATO.PR.000044
           ELS Ref: V139
         
           IF ([pr44] CONTAINS  " - " )
             RETURN VALIDATION MESSAGE
           ENDIF
      
           [pr44]  = pyde.xx.xx:PersonUnstructuredName.FullName.Text
      -->
      <assert id="VR.ATO.PR.000044" diagnostics="DVR.ATO.PR.000044"
              test="not(
                          $pr44rptac[matches(.,'^(.*) - (.*)$')]
                          or
                          $pr44inttac[matches(.,'^(.*) - (.*)$')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000045
           ELS Ref: V138B
         
           IF ([pr13] <> NULLORBLANK) AND ([pr13] DOES NOT CONTAIN SET("A-Z","a-z"))
               RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
        -->
      <assert id="VR.ATO.PR.000045" diagnostics="DVR.ATO.PR.000045"
            test="not(
                        $pr13
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000046
           ELS Ref: V138B
         
           IF ([pr14] <> NULLORBLANK) AND ([pr14] DOES NOT CONTAIN SET("A-Z","a-z"))
              RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr14] = pyde.xx.xx:AddressDetails.Line2.Text
        -->
      <assert id="VR.ATO.PR.000046" diagnostics="DVR.ATO.PR.000046"
            test="not(
                        $pr14
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000049
           ELS Ref: V1220
        
           IF (([pr13] CONTAINS "C/-") AND ([pr14] = NULLORBLANK))
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
           [pr14] = pyde.xx.xx:AddressDetails.Line2.Text      
      -->
      <assert id="VR.ATO.PR.000049" diagnostics="DVR.ATO.PR.000049"
                test="not(
                           $pr13[matches(upper-case(.),'^(.*)(C/-)(.*)$')] and 
                           not($pr14[not(@i:nil='true') and string-length(.) != 0])
                         )
                 "/>

      
      <!-- Rule ID: VR.ATO.PR.000096
         ELS Ref: V210M
         
         IF ([pr15] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [pr15] = pyde.02.00:AddressDetails.LocalityName.Text
      -->
      <assert  id="VR.ATO.PR.000096" diagnostics="DVR.ATO.PR.000096"
             test="not(
                        $pr15[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000100
         ELS Ref: V210M
         
         IF ([pr13] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
      -->
      <assert  id="VR.ATO.PR.000100" diagnostics="DVR.ATO.PR.000100"
             test="not(
                        $pr13[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000101
         ELS Ref: V210M
         
         IF ([pr14] CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
         ENDIF
      
         [pr14] = pyde.xx.xx:AddressDetails.Line2.Text
      -->
      <assert  id="VR.ATO.PR.000101" diagnostics="DVR.ATO.PR.000101"
             test="not(
                        $pr14[matches(.,'^(.*)UNKNOWN(.*)$','i')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000102
           ELS Ref: V9
         
           IF ([pr14] <> NULLORBLANK) AND (ANY CHARACTER OF [pr14] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF  
  
           [pr14] = pyde.xx.xx:AddressDetails.Line2.Text
      -->
      <assert id="VR.ATO.PR.000102" diagnostics="DVR.ATO.PR.000102"
            test="not(
                        $pr14
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000114
           ELS Ref: V9
         
           IF ([pr13] <> NULLORBLANK) AND (ANY CHARACTER OF [pr13] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF  
  
           [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
      -->
      <assert id="VR.ATO.PR.000114" diagnostics="DVR.ATO.PR.000114"
            test="not(
                        $pr13
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000128
    
           IF ([pr13] = FOUND("C/O","C/","Care Of","CO"))
              RETURN VALIDATION MESSAGE
           ENDIF
      
           [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
      -->
      <assert id="VR.ATO.PR.000128" diagnostics="DVR.ATO.PR.000128"
            test="not(
                        $pr13
                        [
                          matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                          matches(.,'^(.*)( C/O | C/ | Care Of | CO )(.*)$','i') or
                          matches(.,'^(.*)( C/O| C/| Care Of| CO)$','i') or
                          matches(.,'^(C/O|C/|Care Of|CO)$','i')
                        ]
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000129
    
           IF ([pr14] = FOUND("C/-","C/O","C/","Care Of","CO"))
              RETURN VALIDATION MESSAGE
           ENDIF
      
           [pr14] = pyde.xx.xx:AddressDetails.Line2.Text
      -->
      <assert id="VR.ATO.PR.000129" diagnostics="DVR.ATO.PR.000129"
            test="not(
                        $pr14
                        [
                          matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                          matches(.,'^(.*)( C/- | C/O | C/ | Care Of | CO )(.*)$','i') or
                          matches(.,'^(.*)( C/-| C/O| C/| Care Of| CO)$','i') or
                          matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i')
                        ]
                    )"/>
      

      <!-- Rule ID: VR.ATO.PR.000130
           ELS Ref: V9
         
           IF ([pr21] <> NULLORBLANK) AND ([pr21] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
              RETURN VALIDATION MESSAGE
           ENDIF     
           
           [pr21] = rvctc3.02.21:Tax.PrivateRulingIssues.Description
      -->
      <assert id="VR.ATO.PR.000130" diagnostics="DVR.ATO.PR.000130"
            test="not(
                        $pr21
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


      <!-- Rule ID: VR.ATO.PR.000131
           ELS Ref: V9
         
           IF ([pr22] <> NULLORBLANK) AND ([pr22] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr22] = rvctc3.xx.xx:Tax.PrivateRulingArguments.Description
      -->
      <assert id="VR.ATO.PR.000131" diagnostics="DVR.ATO.PR.000131"
            test="not(
                        $pr22
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000132
           ELS Ref: V9
         
           IF ([pr23] <> NULLORBLANK) AND ([pr23] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr23] = rvctc3.xx.xx:Tax.PrivateRulingArguments.Description
      -->
      <assert id="VR.ATO.PR.000132" diagnostics="DVR.ATO.PR.000132"
            test="not(
                        $pr23
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000139
           ELS Ref: V9
         
           IF ([pr40] <> NULLORBLANK) AND ([pr40] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF      
  
           [pr40] = pyde.xx.xx:PersonNameDetails.Position.Text
           
           
      -->
      <assert id="VR.ATO.PR.000139" diagnostics="DVR.ATO.PR.000139"
            test="not(
                        $pr40
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
      

      <!-- Rule ID: VR.ATO.PR.000147
           ELS Ref: V44
      
           IF ([pr41] <> NULLORBLANK) AND (ANY CHARACTER OF [pr41] <> SET(0-9))
              RETURN VALIDATION MESSAGE
           ENDIF     
  
           [pr41] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
      -->
      <assert id="VR.ATO.PR.000147" diagnostics="DVR.ATO.PR.000147"
            test="not(
                        $pr41
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[0-9]+$'))
                        ]              
                    )"/>
      
      
      <!-- Rule ID: VR.ATO.PR.000177
           ELS Ref: V9
         
           IF ([pr52] <> NULLORBLANK) AND (ANY CHARACTER OF [pr52] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr52] = pyid.xx.xx:Identifiers.TaxAgentClientReference.Text
      -->
      <assert id="VR.ATO.PR.000177" diagnostics="DVR.ATO.PR.000177"
            test="not(
                        $pr52rptac
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]         
                        or
                        $pr52inttac
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]  
                    )"/>


      <!-- Rule ID: VR.ATO.PR.000187
           ELS Ref: V9
         
           IF ([pr26] <> NULLORBLANK) AND ([pr26] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr26] = rvctc3.xx.xx:Tax.Audit.Identifier
      -->
      <assert id="VR.ATO.PR.000187" diagnostics="DVR.ATO.PR.000187"
            test="not(
                        $pr26
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


      <!-- Rule ID: VR.ATO.PR.000188
           ELS Ref: V9
         
           IF ([pr31] <> NULLORBLANK) AND ([pr31] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr31] = rvctc3.xx.xx:Tax.PrivateRulingPeriodEvent.Description 
      -->
      <assert id="VR.ATO.PR.000188" diagnostics="DVR.ATO.PR.000188"
            test="not(
                        $pr31
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


      <!-- Rule ID: VR.ATO.PR.000189
           ELS Ref: V9
         
           IF ([pr28] <> NULLORBLANK) AND ([pr28] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
             RETURN VALIDATION MESSAGE
           ENDIF
  
           [pr28] = rvctc3.xx.xx:Tax.PrivateRulingNumber.Identifier
      -->
      <assert id="VR.ATO.PR.000189" diagnostics="DVR.ATO.PR.000189"
            test="not(
                        $pr28
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>


      <!-- Rule ID: VR.ATO.PR.000190
         ELS Ref: V9
  
         WHERE IN CONTEXT({INT.RP}.TrueAndCorrect)
         IF (pyde.xx.xx:PersonNameDetails.Position.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:PersonNameDetails.Position.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [pr51] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
      <assert id="VR.ATO.PR.000190" diagnostics="DVR.ATO.PR.000190"
              test="not(
                      $pr51rptac
                      [
                        not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                      ]
                      or
                      $pr51inttac
                      [
                        not(@i:nil='true') and string-length(.) != 0
                        and
                        not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                      ]
                     )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.410040
           ELS Ref: V138B
         
           IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text DOES NOT CONTAIN SET("A-Z","a-z"))
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
        -->
      <assert id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040"
            test="not(
                        $pr10
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^(.*)[a-zA-Z](.*)$'))
                        ]                            
                      )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.410200
         ELS Ref: V137A
    
         IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
         ENDIF   
        
         [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
            test="not(
                        $pr10
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/>  
      
      
      <!-- Rule ID: VR.ATO.GEN.410201
           ELS Ref: V140
    
           IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
              RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
      -->
      <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
            test="not(
                        $pr10
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.410202
           ELS Ref: V141
         
           IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
             RETURN VALIDATION MESSAGE
           ENDIF

           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
      -->
      <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202"
            test="not(
                        $pr11
                        [
                            matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.410203
         ELS Ref: V137A
    
         IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
            test="not(
                        $pr11
                        [
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')
                        ]
                     )"/> 
      
      
      <!-- Rule ID: VR.ATO.GEN.410204
           ELS Ref: V140
    
           IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
      -->
      <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
            test="not(
                        $pr11
                        [
                            matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                            matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                            matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                            matches(.,'^(MR|MRS|MISS|MS)$','i')
                        ]
                     )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.428041
         ELS Ref: V35

        IF ([pr17] <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [pr17] = pyde.xx.xx:AddressDetails.Postcode.Text
     -->
      <assert  id="VR.ATO.GEN.428041" diagnostics="DVR.ATO.GEN.428041"
               test="not(
                          $pr17
                          [
                              not(@i:nil='true') and string-length(.) != 0
                              and
                              not(matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$'))
                          ]                                           
                    )"/>



      <!-- Rule ID: VR.ATO.GEN.428231
           ELS Ref: V141
         
           IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
           ENDIF

          [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
      -->
      <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
            test="not(
                        $pr10
                        [
                            matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                            matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                            matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                        ]
                     )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.428262
          ELS Ref: V139
         
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
             RETURN VALIDATION MESSAGE
          ENDIF

          [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
      -->
      <assert id="VR.ATO.GEN.428262" diagnostics="DVR.ATO.GEN.428262"
              test="not(
                           $pr10[matches(.,'^(.*) - (.*)$')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.428263
           ELS Ref: V138C
         
           IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-","'’","  ") )
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
        -->
      <assert id="VR.ATO.GEN.428263" diagnostics="DVR.ATO.GEN.428263"
            test="not(                         
                         $pr10[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.428264
           ELS Ref: V139
         
           IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
             RETURN VALIDATION MESSAGE
           ENDIF

           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
      -->
      <assert id="VR.ATO.GEN.428264" diagnostics="DVR.ATO.GEN.428264"
              test="not(
                           $pr11[matches(.,'^(.*) - (.*)$')]
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.428265
           ELS Ref: V138C
         
           IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","'’","  ") )
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
        -->
      <assert id="VR.ATO.GEN.428265" diagnostics="DVR.ATO.GEN.428265"
            test="not(                         
                         $pr11[matches(.,'^(.*)(--|('')('')|  )(.*)$')]
                     )"/>
      
      
     
      

      <!-- Rule ID: VR.ATO.GEN.436001
           ELS Ref: V1217

           IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT STARTWITH SET("A-Z","a-z"))
              RETURN VALIDATION MESSAGE
           ENDIF

           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
      -->
      <assert id="VR.ATO.GEN.436001" diagnostics="DVR.ATO.GEN.436001"
            test="not(     
                        $pr11
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z](.*)$', 'i'))
                        ]    
                    )"/>
      

      <!-- Rule ID: VR.ATO.GEN.500024
           ELS Ref: V9

		       IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
           ENDIF
             
           [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
           
        -->
      <assert id="VR.ATO.GEN.500024" diagnostics="DVR.ATO.GEN.500024"
              test="not(
                            $pr10
                            [
                                not(@i:nil='true') and string-length(.) != 0
                                and
                                matches(.,'[{}|_\\#]')
                            ]
                         )"/>
      

      <!-- Rule ID: VR.ATO.GEN.500025
           ELS Ref: V9

		       IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("{","}","|","_","\","#"))
             RETURN VALIDATION MESSAGE
           ENDIF
             
           [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
        -->
      <assert id="VR.ATO.GEN.500025" diagnostics="DVR.ATO.GEN.500025"
              test="not(
                            $pr11
                            [
                                not(@i:nil='true') and string-length(.) != 0
                                and
                                matches(.,'[{}|_\\#]')
                            ]
                         )"/>
    
      
      <!-- Rule ID: VR.ATO.GEN.500028
           ELS Ref: V9
         
           IF ([pr15] <> NULLORBLANK) AND (ANY CHARACTER OF [pr15] <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","=","[","]",";",":","'",""",",",".","?","/"," "))
              RETURN VALIDATION MESSAGE
           ENDIF
           
  
           [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
      -->
      <assert id="VR.ATO.GEN.500028" diagnostics="DVR.ATO.GEN.500028"
            test="not(
                        $pr15
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;,.?\s/]*$'))
                        ]              
                    )"/>
    

      <!-- Rule ID: VR.ATO.GEN.500069
         ELS Ref: V9

         IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyin.xx.xx:Declaration.SignatoryIdentifier.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))
           RETURN VALIDATION MESSAGE
         ENDIF
        
         [pr50] = pyin.xx.xx:Declaration.SignatoryIdentifier.Text
      -->
      <assert id="VR.ATO.GEN.500069" diagnostics="DVR.ATO.GEN.500069"
            test="not(
                        $pr50inttac
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-_''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                        or
                        $pr50rptac
                        [
                            not(@i:nil='true') and string-length(.) != 0
                            and
                            not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-_''=\[\];:&#x22;,.?\s/]*$'))
                        ]
                     )"/>
    
  
    </rule>
  
    <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

      
      <!-- Rule ID: VR.ATO.GEN.410038
         ELS Ref: V137B
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
           (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF      
    -->
    <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038"
             test="not(
                        matches(.,'^(T/A )(.*)$', 'i') 
                        and 
                        matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                       )"/>
      
      
      <!-- Rule ID: VR.ATO.GEN.410039
           ELS Ref: V138A
         
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET(""a-z"", ""A-Z"", ""0-9""))
            RETURN VALIDATION MESSAGE
          ENDIF
      -->
      <assert id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039"
              test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/>

    
    <!-- Rule ID: VR.ATO.GEN.410206/ELS Ref: V137C removed for CR2900 | INC000029748406 -->



      <!-- Rule ID: VR.ATO.GEN.428258
           ELS Ref: V139
         
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
            RETURN VALIDATION MESSAGE
          ENDIF
      
           [pr12]  = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
      -->
      <assert id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.428258"
              test="not(
                          matches(.,'^(.*) - (.*)$')
                       )"/>

    
    <!-- Rule ID: VR.ATO.GEN.428259
         ELS Ref: V137E
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS ""P/L"")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
             test="not(
                        matches(.,'^(.*)(P/L)(.*)$')
                      )"></assert>


    <!-- Rule ID: VR.ATO.GEN.428261
         ELS Ref: V137D
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
             test="not(
                        matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')
                       )" />
    

      
    

      <!-- Rule ID: VR.ATO.GEN.500023
           ELS Ref: V9
         
          IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("{","}","|","_","\","#"))
            RETURN VALIDATION MESSAGE
          ENDIF               
      -->
      <assert id="VR.ATO.GEN.500023" diagnostics="DVR.ATO.GEN.500023"
              test="not(
                          matches(.,'[{}|_\\#]')
                      )"/>
    </rule>

  <rule context="pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.430222
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222"
            test="not(
                        matches(.,'^@(.*)|(.*)@$')
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430223
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223"
            test="not(
                        matches(.,'^(.*)[@](.*)[@](.*)$')
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430224
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".") 
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224"
            test="not(
                        matches(.,'^\.(.*)|(.*)\.$')
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430226

         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226"
            test="not(
                        matches(.,'\.\.')
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430227

         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".@"
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227"
            test="not(
                        matches(.,'\.@')
                     )" />


    <!-- Rule ID: VR.ATO.GEN.430228
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228"
            test="not(
                        matches(.,'@\.')
                     )" />
    

    <!-- Rule ID: VR.ATO.GEN.430230
    
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230"
            test="not(
                        not(matches(.,'@'))
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.430231
    
         IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
           RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231"
            test="not(
                        matches(.,' ')
                     )" />

    
    <!-- Rule ID: VR.ATO.GEN.430232
    
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232"
            test="not(
                        not(matches(.,'\.'))
                     )" />


    <!-- Rule ID: VR.ATO.GEN.500029
         ELS Ref: V9
         
         IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) AND (ANY CHARACTER OF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> SET(a-z,A-Z,0-9,"!","@","$","%","&","*","(",")","-","_","=","[","]",";",":","'",""",",",".","?","/"," "))
            RETURN VALIDATION MESSAGE
         ENDIF
    -->
    <assert  id="VR.ATO.GEN.500029" diagnostics="DVR.ATO.GEN.500029"
             test="not(
                      not(matches(.,'^[a-zA-Z0-9!@$%&#x26;*()\-''=\[\];:&#x22;_,.?\s/]*$'))
                      )"/>
    
    </rule>
  
    
  
  <rule context="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500037
         ELS Ref: V9
         
        IF (pyde.xx.xx:PersonUnstructuredName.FullName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonUnstructuredName.FullName.Text CONTAINS SET("{","}","|","_","\","#"))
           RETURN VALIDATION MESSAGE
        ENDIF              
        
    -->
    <assert id="VR.ATO.GEN.500037" diagnostics="DVR.ATO.GEN.500037"
            test="not(
                        matches(.,'[{}|_\\#]')
                    )"/>
    
  </rule>
</pattern>