﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true')]">
    
      
      <!-- Rule ID: VR.ATO.PR.000033
           ELS Ref: V17
        
           IF [pr22] = NULLORBLANK
            RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr22] = rvctc3.xx.xx:Tax.PrivateRulingFacts.Description
      -->
      <assert id="VR.ATO.PR.000033" diagnostics="DVR.ATO.PR.000033"
              test="not(
                          not($pr22[not(@i:nil='true') and string-length(.) != 0])
                       )" />
      
      
      <!-- Rule ID: VR.ATO.PR.000035
           ELS Ref: V17
        
           IF [pr15] = NULLORBLANK
              RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
      -->
      <assert id="VR.ATO.PR.000035" diagnostics="DVR.ATO.PR.000035"
              test="not(
                          not($pr15[not(@i:nil='true') and string-length(.) != 0])
                       )" />
      
      
      <!-- Rule ID: VR.ATO.PR.000036
           ELS Ref: V17
        
           IF [pr25] = NULLORBLANK
            RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr25] = rvctc3.xx.xx:Tax.AuditRaised.Indicator
      -->
      <assert id="VR.ATO.PR.000036" diagnostics="DVR.ATO.PR.000036"
              test="not(
                          not($pr25[not(@i:nil='true') and string-length(.) != 0])
                       )" />

      
      <!-- Rule ID: VR.ATO.PR.000037
           ELS Ref: V17
        
           IF [pr32] = NULLORBLANK
            RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr32] = rvctc3.xx.xx:Tax.PrivateRulingArrangementSeriousConsideration.Indicator
      -->

      <assert id="VR.ATO.PR.000037" diagnostics="DVR.ATO.PR.000037"
              test="not(
                          not($pr32[not(@i:nil='true') and string-length(.) != 0])
                       )" />
      
      
      <!-- Rule ID: VR.ATO.PR.000043
           ELS Ref: V17
        
           IF [pr20] = NULLORBLANK
              RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr20] = rvctc3.xx.xx:Tax.PrivateRulingMainSubject.Code
      -->

      <assert id="VR.ATO.PR.000043" diagnostics="DVR.ATO.PR.000043"
              test="not(
                          not($pr20[not(@i:nil='true') and string-length(.) != 0])
                       )" />


      <!-- Rule ID: VR.ATO.PR.000061
           ELS Ref: V17
        
           WHERE IN CONTEXT(RP) 
           IF [pr5] = NULL
             RETURN VALIDATION MESSAGE
           ENDIF
      -->

      <assert id="VR.ATO.PR.000061" diagnostics="DVR.ATO.PR.000061"
              test="not(
                          not($pr5rp[not(@i:nil='true')])
                       )" />
      
      
      <!-- Rule ID: VR.ATO.PR.000062
           ELS Ref: V17
        
           IF [pr21] = NULLORBLANK
              RETURN VALIDATION MESSAGE
           ENDIF
           
           [pr21] = rvctc3.xx.xx:Tax.PrivateRulingIssues.Description
      -->

      <assert id="VR.ATO.PR.000062" diagnostics="DVR.ATO.PR.000062"
              test="not(
                          not($pr21[not(@i:nil='true') and string-length(.) != 0])
                       )" />
      
      
      <!-- Rule ID: VR.ATO.PR.000118
           ELS Ref: V17
        
           IF (pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
           ENDIF
      -->

      <assert id="VR.ATO.PR.000118" diagnostics="DVR.ATO.PR.000118"
              test="not(
                          (
                              $RPTAC.Context
                              and
                              not($pr50rptac[not(@i:nil='true') and string-length(.) != 0])
                          )
                          or
                          (
                               $INTTAC.Context
                               and     
                               not($pr50inttac[not(@i:nil='true') and string-length(.) != 0])
                          )
                       )" />


      <!-- Rule ID: VR.ATO.PR.000175
         ELS Ref: V17         
        
      
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL) AND (RP.TrueAndCorrect:pyde.xx.xx:PersonNameDetails.Position.Text = NULLORBLANK)) OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonNameDetails.Position.Text = NULLORBLANK))
               RETURN VALIDATION MESSAGE
        ENDIF
        
        [PR51] = pyde.xx.xx:PersonNameDetails.Position.Text = NULLORBLANK
    -->
      <assert id="VR.ATO.PR.000175" diagnostics="DVR.ATO.PR.000175"
              test="not(
                        (
                            not($INTTAC.Context) 
                            and
                            not($pr51rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $INTTAC.Context 
                            and
                            not($pr51inttac[not(@i:nil='true') and string-length(.) != 0])
                        ) 
                        
                     )" />
      
      
      
    <!-- Rule ID: VR.ATO.GEN.500039
          ELS Ref: V17
        
          IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)
             RETURN VALIDATION MESSAGE
          ENDIF
      -->

      <assert id="VR.ATO.GEN.500039" diagnostics="DVR.ATO.GEN.500039"
              test="not(
                          not($pr13[not(@i:nil='true') and string-length(.) != 0])
                       )" />
      
      <!-- Rule ID: VR.ATO.GEN.500056
         ELS Ref: V17         
        
        IF ((CONTEXT(Intermediary.TrueAndCorrect) = NULL)  AND (RP.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK)) 
            OR 
           ((CONTEXT(Intermediary.TrueAndCorrect) <> NULL) AND (Intermediary.TrueAndCorrect:pyde.xx.xx:PersonUnstructuredName.FullName.Text = NULLORBLANK))
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.500056" diagnostics="DVR.ATO.GEN.500056"
            test="not(
                        (
                            not($INTTAC.Context) 
                            and
                            not($pr44rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                            $INTTAC.Context 
                            and
                            not($pr44inttac[not(@i:nil='true') and string-length(.) != 0])
                        ) 
                        
                     )" />
      
      
      <!-- Rule ID: VR.ATO.GEN.500060
           ELS Ref: V17
      
           IF 
           (
            (CONTEXT(Intermediary.TrueAndCorrect)=NULL) AND 
            (RP.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)
           ) 
           OR 
           (
            (CONTEXT(Intermediary.TrueAndCorrect)<>NULL) AND 
            (Intermediary.TrueAndCorrect:pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)
           )
             RETURN VALIDATION MESSAGE
           ENDIF
        
           [pr45] = pyde.02.00:ElectronicContact.Telephone.Area.Code
           [pr46] = pyde.xx.xx:ElectronicContact.Telephone.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.GEN.500060" diagnostics="DVR.ATO.GEN.500060"
            test="not(
                        (
                          count($INTTAC.Context) = 0 
                          and
                          not($pr46rptac[not(@i:nil='true') and string-length(.) != 0])
                        )
                        or
                        (
                          not(count($INTTAC.Context) = 0 )
                          and
                          not($pr46inttac[not(@i:nil='true') and string-length(.) != 0])
                        )
                     )" />	
      
      
      <!-- Rule ID: VR.ATO.GEN.500068
         ELS Ref: V17
      
         IF (Intermediary.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL) AND (RP.TrueAndCorrect:pyin.xx.xx:Declaration.StatementAccepted.Indicator = NULL)
            RETURN VALIDATION MESSAGE
         ENDIF
        
         [pr48] = pyin.xx.xx:Declaration.StatementAccepted.Indicator
      -->
      <assert id="VR.ATO.GEN.500068" diagnostics="DVR.ATO.GEN.500068"
            test="not(
                        not($pr48rptac[not(@i:nil='true') and string-length(.) != 0])
                        and
                        not($pr48inttac[not(@i:nil='true') and string-length(.) != 0])
                     )" />
      
    </rule>

  <!-- LOOP OVER APPLICANT DIMENSION CONTEXT -->
  <rule context="xbrli:xbrl/xbrli:context[@id = $APP.ContextId]">

    <let name="thisContextId" value="@id" />
    
    



    <!-- Rule ID: VR.ATO.PR.000184
           ELS Ref: V17
        
           FOR ANY OCCURRENCE OF CONTEXT(APP)
           IF [pr5] = NULL
              RETURN VALIDATION MESSAGE
           ENDIF
      -->

    <assert id="VR.ATO.PR.000184" diagnostics="DVR.ATO.PR.000184"
            test="not(
                          not($pr5app[not(@i:nil='true') and @contextRef = $thisContextId])
                       )" />


  </rule>
  
    
</pattern>
